package com.sqx.modules.coupon.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.Result;
import com.sqx.modules.coupon.entity.TbCoupon;
import com.sqx.modules.datacentre.entity.SysUserShop;

import java.util.List;

public interface TbCouponService extends IService<TbCoupon> {

    Result issueCoupon(TbCoupon tbCoupon);

    Result deleteCoupon(Long couponId);

    Result seleteAllCoupon(Integer page, Integer limit,Long shopId,String shopName);

    Result updateCoupon(TbCoupon tbCoupon);

    Result selectCouponList(Integer page, Integer limit,Long shopId);

    Result selectCouponByShopId(Integer page, Integer limit, List<SysUserShop> userShops);

    Result giveCoupon(Long couponId, List<String> userIdList, Long shopId);

}
